Đến nội dung


Hình ảnh
- - - - -

xin lisp scale TẠI TÂM cho nhiều đối tượng


  • Please log in to reply
24 replies to this topic

#21 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 27 September 2016 - 01:44 PM

chào anh và các cao thủ trên diễn đàn

anh có thể giúp mình sửa thành lisp có chức năng scale tất cả các block được chọn, tại điểm đặt (pick point) của từng block đó không.

xin cảm ơn rất nhiều ạ

Bạn thử dùng xem sao nếu tốt thì Like nhé :

(defun c:sci (/ ss tile i en obj ins) (vl-load-com)
(princ "\nChon cac Block :") 
(setq ss (ssget '((0 . "INSERT"))) 
tile (getreal "\nChon tile Scale:")) 
(setq i 0) 
(while (< i (sslength ss)) (setq en (ssname ss i) 
obj (vlax-ename->vla-object en)
ins (vla-get-InsertionPoint obj)) 
(vla-ScaleEntity obj ins tile) (setq i (1+ i)) ) 
(princ)
)


  • 1

#22 thong46i

thong46i

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 September 2016 - 02:33 PM

 

Bạn thử dùng xem sao nếu tốt thì Like nhé :

(defun c:sci (/ ss tile i en obj ins) (vl-load-com)
(princ "\nChon cac Block :") 
(setq ss (ssget '((0 . "INSERT"))) 
tile (getreal "\nChon tile Scale:")) 
(setq i 0) 
(while (< i (sslength ss)) (setq en (ssname ss i) 
obj (vlax-ename->vla-object en)
ins (vla-get-InsertionPoint obj)) 
(vla-ScaleEntity obj ins tile) (setq i (1+ i)) ) 
(princ)
)

chính xác những gì mình cần, thank you very much (y)


  • 0

#23 Kieu Tan

Kieu Tan

    biết vẽ rectang

  • Members
  • PipPip
  • 87 Bài viết
Điểm đánh giá: -23 (kém)

Đã gửi 28 September 2016 - 12:37 PM

Bạn thử dùng xem sao nếu tốt thì Like nhé :

(defun c:sci (/ ss tile i en obj ins) (vl-load-com)
(princ "\nChon cac Block :") 
(setq ss (ssget '((0 . "INSERT"))) 
tile (getreal "\nChon tile Scale:")) 
(setq i 0) 
(while (< i (sslength ss)) (setq en (ssname ss i) 
obj (vlax-ename->vla-object en)
ins (vla-get-InsertionPoint obj)) 
(vla-ScaleEntity obj ins tile) (setq i (1+ i)) ) 
(princ)
)

Tu lsp này ban có the phat huy xoay text trong block luon di ban. Thank ban truoc
  • -1

#24 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 28 September 2016 - 01:00 PM

Tu lsp này ban có the phat huy xoay text trong block luon di ban. Thank ban truoc

Bạn có thể gửi bản vẽ mô tả lên để mình thử sức...Nhớ bấm Like giúp tinh thần


  • 0

#25 Kieu Tan

Kieu Tan

    biết vẽ rectang

  • Members
  • PipPip
  • 87 Bài viết
Điểm đánh giá: -23 (kém)

Đã gửi 29 September 2016 - 06:18 AM

Bạn có thể gửi bản vẽ mô tả lên để mình thử sức...Nhớ bấm Like giúp tinh thần

Bài viết của mình có 2 phần:

1/ Phần 1: quay text trong att block (có thể dùng lệnh lsp là HB)

- Gõ lệnh HB, sau đó chọn các đối tượng att block

- Nhập góc quay:

---> Các text trong att block sẽ quay đi 1 góc do ta nhập vào trước đó

* Hình minh họa:

 

2/ Phần 2: scale text trong att block (có thể dùng lệnh lsp là HC)

- Gõ lệnh HC, sau đó chọn các đối tượng att block

- Nhập chiều cao text: (chỉ scale các text trong att block thôi)

* Hình minh họa:

 

Mình thanks bạn trước nha !

Diễn đàn bị sao mà không add hình lên được nữa ! 


  • -1